<?php

namespace JimsGroup\Apis;

class FMSInfo extends AbstractApi
{
    /**
     * @var string[]
     */
    protected $paths = [
        'divisions' => '/api/divisions',
    ];

    private $payload = [];

    /**
     * Returns the list of divisions
     * by default it returns an array of objects
     *
     * @param bool|string $format, json|xml|false
     * @return mixed|string
     */
    public function getDivisions($format = false){
        $url = $this->getEndpointUrl('divisions');
        $result = [];

        if($format === 'xml'){
            $response = $this->get($url, [], [
                'Accept' =>  'application/xml'
            ]);
            $result = !empty($response) ? $response : $result;
        } else{
            $response = $this->get($url);

            //ensure the response for json format is a string and not array
            if(!empty($response) ) {
                $result = $format === 'json' ? $response : \json_decode($response, true);
            } else {
                $result = $format === 'json' ? '': $result;
            }
        }

        return $result;
    }
}